File php-ar-flags.patch of Package php8

Index: php-8.1.19/configure.ac
===================================================================
--- php-8.1.19.orig/configure.ac
+++ php-8.1.19/configure.ac
@@ -1543,7 +1543,7 @@ PHP_CONFIGURE_PART(Configuring libtool)
 
 dnl Silence warning: `ar: 'u' modifier ignored since 'D' is the default`
 dnl See https://github.com/php/php-src/pull/3017
-AC_SUBST(AR_FLAGS, [cr])
+AC_SUBST(AR_FLAGS, [Dcr])
 
 dnl Only allow AC_PROG_CXX and AC_PROG_CXXCPP if they are explicitly called (by
 dnl PHP_REQUIRE_CXX). Otherwise AC_PROG_LIBTOOL fails if there is no working C++